Last Comment Bug 736040 - When disabling Filelink, the "Convert To" attachmentitem context menuitem should be hidden
: When disabling Filelink, the "Convert To" attachmentitem context menuitem sho...
Status: RESOLVED FIXED
[esr]
:
Product: Thunderbird
Classification: Client Software
Component: Message Compose Window (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Mike Conley (:mconley) - (needinfo me!)
:
Mentors:
Depends on:
Blocks: BigFiles
  Show dependency treegraph
 
Reported: 2012-03-15 04:38 PDT by Mark Banner (:standard8)
Modified: 2012-03-20 13:39 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Hide "Convert To" menuitem, "Cancel Upload" menuitem (2.04 KB, patch)
2012-03-15 09:08 PDT, Mike Conley (:mconley) - (needinfo me!)
no flags Details | Diff | Review
Patch v2 (3.11 KB, patch)
2012-03-15 10:36 PDT, Mike Conley (:mconley) - (needinfo me!)
squibblyflabbetydoo: review+
standard8: approval‑comm‑aurora+
Details | Diff | Review

Description Mark Banner (:standard8) 2012-03-15 04:38:58 PDT
Organisations are likely going to be disabling Filelink for their own reasons. Users may choose to as well.

I think that if they do, then we should disable the whole of the preferences window. This makes it clear it is fully disabled.

At the moment, if I lock the preference to disable it, only the check box is disabled.
Comment 1 Mark Banner (:standard8) 2012-03-15 05:20:25 PDT
I just noticed, the right-click menu in the attachments dialog isn't hidden either.
Comment 2 Mike Conley (:mconley) - (needinfo me!) 2012-03-15 06:11:41 PDT
Mark:

Hm - setting mail.cloud_file.enabled to false hides the "Outgoing" tab in the Attachments pane for me completely.  Can you give me STR?

Yes, the "Convert To" menuitem is still visible.  I'll draw up a patch.  Good catch!

-Mike
Comment 3 Mike Conley (:mconley) - (needinfo me!) 2012-03-15 09:08:11 PDT
Created attachment 606245 [details] [diff] [review]
Hide "Convert To" menuitem, "Cancel Upload" menuitem
Comment 4 Mike Conley (:mconley) - (needinfo me!) 2012-03-15 09:09:19 PDT
Comment on attachment 606245 [details] [diff] [review]
Hide "Convert To" menuitem, "Cancel Upload" menuitem

This seems to do the job.
Comment 5 Mike Conley (:mconley) - (needinfo me!) 2012-03-15 10:36:48 PDT
Created attachment 606284 [details] [diff] [review]
Patch v2

Thanks for the review over IRC - made the suggested fixes.
Comment 6 Jim Porter (:squib) 2012-03-18 13:41:59 PDT
Comment on attachment 606284 [details] [diff] [review]
Patch v2

Review of attachment 606284 [details] [diff] [review]:
-----------------------------------------------------------------

I tested this out, and it looks good to me.
Comment 7 Mike Conley (:mconley) - (needinfo me!) 2012-03-18 17:20:59 PDT
Committed to comm-central as http://hg.mozilla.org/comm-central/rev/94d6e21b9ed3
Comment 8 Mike Conley (:mconley) - (needinfo me!) 2012-03-19 06:51:17 PDT
Committed to comm-aurora as http://hg.mozilla.org/releases/comm-aurora/rev/b12304800316

Note You need to log in before you can comment on or make changes to this bug.